Overview
POST/auth/login/webauthn/optionsauth

Passwordless passkey: assertion options for an account

Create a record in options.

Request body

application/json · optional

  • identifierstring

    Email or login slug

Example
{
  "identifier": "string"
}
Responses
200

options + login challenge token

  • optionsobject
  • tokenstring
Example
{
  "options": {},
  "token": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
422

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/login/webauthn/options" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "identifier": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/login/webauthn/options", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"identifier\": \"string\"\n}",
});
const data = await res.json();